{{ if .Params.canonicalUrl }}
<link rel="canonical" href="{{ .Params.canonicalUrl }}">
{{ else }}
<link rel="canonical" href="{{ .RelPermalink }}">
{{ end }}

{{/* ORDER IS IMPORTANT HERE */}}
{{/* ======================= */}}
{{/* Redirect code should be first.  Followed by OneTrust cookie banner as this should be before any analytics */}}
{{/* scripts run or cookies are dropped.  After OneTrust we have Google Analytics and Snowplow.  At the end we have */}}
{{/* GitLab analytics so we can dogfood our Analytics Platform.  As we don't need don't need OneTrust for internal */}}
{{/* use of Analytics this is outside of the Privacy Policy so we can use it on the internal handbook. */}}

{{/* The following is for the internal handbook */}}
{{ if eq .Site.BaseURL "https://internal.gitlab.com/" }}
<script>
    const oldHandbookUrl = 'internal-handbook.gitlab.io';
    if (window.location.hostname === oldHandbookUrl && window.location.pathname.search("jobs") < 0) {
       window.location.replace(new URL(window.location.protocol + "//internal.gitlab.com" + window.location.pathname + "?redirected-from=internal-handbook.gitlab.io"))
    }
</script>
{{ end }}

{{ if .Site.Params.privacy_policy}}
{{ if hugo.IsProduction -}}
    <!-- Default Consent Logic Start -->
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}

    gtag('consent', 'default', {
        'analytics_storage': 'granted',
        'ad_storage': 'granted',
        'functionality_storage': 'granted',
        'wait_for_update': 500
    });

    gtag('consent', 'default', {
        'analytics_storage': 'denied',
        'ad_storage': 'denied',
        'functionality_storage': 'denied',
        'region': ['AT','BE','BG','HR','CY','CZ','DK','EE','FI','FR','DE','GR','HU','IE','IT','LV','LT','LU','MT','NL','PL','PT','RO','SK','SI','ES','SE','IS','LI','NO','RU','GB','PE','CO','KR','CA-QC'],
        'wait_for_update': 500
    });
    </script>
    <!-- Default Consent Logic End -->

    <!-- OneTrust Cookies Consent Notice start for gitlab.com -->
    <script src="https://cdn.cookielaw.org/consent/7f944245-c5cd-4eed-a90e-dd955adfdd08/OtAutoBlock.js"></script>
    <script src="https://cdn.cookielaw.org/scripttemplates/otSDKStub.js" data-domain-script="7f944245-c5cd-4eed-a90e-dd955adfdd08"></script>
    <script>
    function OptanonWrapper() { }
    </script>
    <!-- OneTrust Cookies Consent Notice end for gitlab.com -->
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NJXWQL');</script>
    <!-- End Google Tag Manager -->
{{ else -}}
    <script>console.log('Non-production consent logic, onetrust, and GTM');</script>
{{ end -}}

<script type="text/javascript">
;(function(p,l,o,w,i,n,g){if(!p[i]){p.GlobalSnowplowNamespace=p.GlobalSnowplowNamespace||[];
 p.GlobalSnowplowNamespace.push(i);p[i]=function(){(p[i].q=p[i].q||[]).push(arguments)
 };p[i].q=p[i].q||[];n=l.createElement(o);g=l.getElementsByTagName(o)[0];n.async=1;
 n.src=w;g.parentNode.insertBefore(n,g)}}(window,document,"script","https://gitlab.com/assets/snowplow/sp-bc5b4b4067898d2d20c35fec045d91d032cb739c3deab5f42607edbeca08323a.js","snowplow"));

 window.snowplow('newTracker', 'cf', 'snowplowprd.trx.gitlab.net', {
   appId: 'about',
   cookieDomain: '.gitlab.com',
   userFingerprint: false,
   respectDoNotTrack: true,
   forceSecureTracker: true,
   post: true,
   contexts: {
       webPage: true,
   },
   stateStorageStrategy: "cookie"
 });

 window.snowplow('enableActivityTracking', 30, 30);
 window.snowplow('trackPageView');
 window.snowplow('enableFormTracking');
 window.snowplow('enableLinkClickTracking');
</script>
{{ end }}

{{/* Product Analytics */}}
{{- $app_key := getenv "PRODUCT_ANALYTICS_APP_KEY" }}
{{- $host := getenv "PRODUCT_ANALYTICS_HOST" }}

{{ if and ($app_key) ($host) }}
<script src="https://cdn.jsdelivr.net/npm/@gitlab/application-sdk-browser@0.2.6/dist/gl-sdk.min.js" crossorigin="anonymous"></script>
    <script>
        window.glClient = window.glSDK.glClientSDK({
            appId: '{{ $app_key }}',
            host: '{{ $host }}',
            hasCookieConsent: true
        });

        window.glClient.page();
    </script>
{{ end }}

{{ with .Site.Params.search.algolia }}
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@docsearch/css@3" />
<link rel="preconnect" href="https://3IIMMA8IDY-dsn.algolia.net" crossorigin />
{{ end }}

{{ if .Param "math" }}
    {{ partialCached "math.html" . }}
{{ end }}
